# RPM specfile for libcapplet module
# Generated Fri Oct 12 18:50:27 2001 GMT by Ximian build system
# $Id: bb_do,v 1.144 2001/10/06 09:16:29 thunder Exp $
# from $Id: helix-build.conf,v 1.4 2001/07/10 19:57:53 alex Exp $

%define nam	libcapplet
%define ver	1.5.8

Name:     	libcapplet
Version: 	1.5.8
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		http://www.gnome.org/
Source0:	libcapplet-1.5.8.tar.gz
Summary:	Library for Gnome Control Center applets
Group:		System Environment/Libraries

%description
Gnome is the "GNU Network Object Model Environment"

It is a project to build a complete, user-friendly desktop based
entirely on free software.

This library is used by Gnome control center applets.

%files
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS INSTALL NEWS README
/opt/gnome/lib/lib*.so.*


%post
ldconfig

%package -n libcapplet-devel
Summary:	Library for Gnome Control Center applets - Development
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}

%description -n libcapplet-devel
Gnome is the "GNU Network Object Model Environment"

It is a project to build a complete, user-friendly desktop based
entirely on free software.

This library is used by Gnome control center applets.

%files -n libcapplet-devel
%defattr(-, root, root)
/opt/gnome/lib/*a
/opt/gnome/lib/lib*.so
/opt/gnome/lib/*.sh
/opt/gnome/include/*.h
/opt/gnome/lib/pkgconfig/*.pc
/opt/gnome/share/locale/*/LC_MESSAGES/libcapplet.mo


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libcapplet-1.5.8
    ;;
all)
%setup  -q -n libcapplet-1.5.8
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
